#!/usr/bin/env python3

import sys
from ucb import main
from mapreduce import group_values_by_key, emit

@main
def run():
    for key, value_iterator in group_values_by_key(sys.stdin):
        emit(key, sum(value_iterator))
